package nc.ui.wa.ruleex.action;

import nc.ui.hr.uif2.view.HrBillListView;
import nc.ui.pub.bill.BillListPanel;
import nc.ui.pub.bill.BillScrollPane.BillTable;
import nc.ui.uif2.actions.SingleTemplateDirectPrintAction;

/**
 * @author xueliang1
 * 薪资规则的列表打印
 * */
@SuppressWarnings("restriction")
public class RuleListPrintAction extends SingleTemplateDirectPrintAction {

	private static final long serialVersionUID = -6126804670160801911L;
	
     private HrBillListView listView;

	public HrBillListView getListView() {
		return listView;
	}

	
	public void setListView(HrBillListView listView) {
		this.listView = listView;
	}
	@Override
	protected BillTable[] getBodyTables() {
		BillListPanel billListPanel = listView.getBillListPanel();
		return new BillTable[]{(BillTable)billListPanel.getHeadTable()};
	}
	@Override
	public String getTitle() {
		if(getListView() != null)
		{
			title = getListView().getBillListPanel().getBillListData().getTitle();
		}
		return title;
	}
	@Override
	protected void processHead() {
	}

	@Override
	protected void processTail() {
	}
	
}
